Subject: Re: bug#49253: 27.2; Emacs non-responsive when pasting into terminal-mode

From: Matt Bisson <[email-masked]>
Date: Mon, 28 Jun 2021 13:30:19 -0400

Looking at the (E-Lisp) function, it's not obvious to me where I
should put a (native-code) breakpoint.  Any thought?  Of course I can
figure something out, but if you happen to know...

On Mon, Jun 28, 2021 at 1:27 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Matt Bisson <[email-masked]>
> > Date: Mon, 28 Jun 2021 13:18:04 -0400
> > Cc: [email-masked]
> >
> > This is the Mac Terminal application that comes out of the box with
> > MacOS.  It fully supports xterm-256color as the TERM type, and I can
> > actually paste just fine in other parts of Emacs.  Although I'm having
> > trouble getting to a Linux terminal emulator these days, I realized
> > that I do have a machine running WIndows.  I ran the Cygwin terminal
> > emulator, MinTTY, started (terminal, Cygwin -- i.e., not the Win32
> > native) Emacs, and it exhibits the same behavior.  Something more
> > fundamental seems to be going wrong.
>
> I think you'll have to run this under GDB and see what kind of
> "invalid argument" this scenario triggers on your systems.  The same
> issue on multiple system with several terminal emulators almost always
> means some local setting problem.